Creates a new job_files by supplying directly the field job_files.file_content as Byte Array

Request Information

URI Parameters :

None.

Body Parameters :

job_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

jobs_id

Job Id

globally unique identifier

Required

job_approval_id

Job approval Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier
show_on_web

boolean
db_report_id

The id of db_report

globally unique identifier

Request Formats :

application/json, text/json

Sample:
{
  "id": "d62b10a0-5cc4-40a9-99ae-77b47453c19e",
  "jobs_id": "8dd4f7b1-ca8e-4230-8dae-01145241bbbd",
  "job_approval_id": "5f25b6db-9c50-4968-8efd-a25178ecbb4f",
  "file_name": "sample string 4",
  "name": "sample string 5",
  "description": "sample string 6",
  "tags": "sample string 7",
  "mime_type": "sample string 8",
  "file_type": "sample string 9",
  "image_height": 10,
  "image_width": 11,
  "file_size": 12,
  "sales_organization_id": "6cfb8b43-9641-4034-ba92-1702f0062a2e",
  "sales_organization_code": "sample string 14",
  "file_content": "QEA=",
  "dateutc_added": "2026-11-02T06:33:07.6190616+00:00",
  "modified_dateutc": "2026-11-02T06:33:07.6190616+00:00",
  "user_id": "d2439103-728a-4df6-8203-5f64b1f2f7a5",
  "show_on_web": true,
  "db_report_id": "341b95b5-1bc7-4796-928f-041fbb503282"
}

Response Information

Resource Description :

job_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

jobs_id

Job Id

globally unique identifier

Required

job_approval_id

Job approval Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier
show_on_web

boolean
db_report_id

The id of db_report

globally unique identifier

Response Formats

application/json, text/json

Sample:
{
  "id": "653c4841-9520-48d8-9ecc-937a784785f9",
  "jobs_id": "28551c94-0975-4a27-ae6e-1cf1cb4c022b",
  "job_approval_id": "ab3ef7e5-8772-42c5-b31f-5714c28609d7",
  "file_name": "sample string 4",
  "name": "sample string 5",
  "description": "sample string 6",
  "tags": "sample string 7",
  "mime_type": "sample string 8",
  "file_type": "sample string 9",
  "image_height": 10,
  "image_width": 11,
  "file_size": 12,
  "sales_organization_id": "41b66974-aa41-434c-b6f4-4753f6cbc457",
  "sales_organization_code": "sample string 14",
  "file_content": "QEA=",
  "dateutc_added": "2026-11-02T06:33:07.6346877+00:00",
  "modified_dateutc": "2026-11-02T06:33:07.6346877+00:00",
  "user_id": "3c303095-12e8-4677-a0c2-ca954824d790",
  "show_on_web": true,
  "db_report_id": "3af2cc3c-a8eb-4b6e-921b-c6eda1040aaf"
}